---
title: Simple Usage
order: 1
---

本 Demo 演示一行文字的用法。

````jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import CardCapacityOffer from 'card-capacity-offer';

class App extends Component {
   constructor(props) {
    super(props);
    this.state = {
      offerList: [
        {
          "goodsId":"202001092155110002027472",
          "mainImage":"https://fx-pangu.oss-cn-hangzhou.aliyuncs.com/202001092138040001921308.png",
          "marketPrice":9900,
          "name":"测试多规格商品",
          "price":8811,
          "profit":11.0,
          "skuId":"202001092155120002027473",
          "spuId":"202001092155110002027471",
          "stock":0
			  }
      ],
      selectList: [],
    };
    this.onChange = this.onChange.bind(this);
  }
  onChange(selectList, type) {
    console.log(type);
    this.setState({ selectList });
  }

  render() {
    const { offerList, selectList } = this.state;
    return (
      <div>
        <CardCapacityOffer
          onChange={this.onChange}
          offerList={offerList}
          selectList={selectList} />
      </div>
    );
  }
}

ReactDOM.render((
  <App />
), mountNode);
````
