"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _common = require("../../utils/common");

require("./index.scss");

var OfferItemColums = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(OfferItemColums, _Component);

  function OfferItemColums(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this.state = {};
    return _this;
  }

  var _proto = OfferItemColums.prototype;

  _proto.onAdd = function onAdd(dataSource, selected) {
    if (!selected) {
      this.props.onAdd(dataSource);
    }
  };

  _proto.render = function render() {
    var className = "offer_item_colums";

    if (this.props.className) {
      className = className + " " + this.props.className;
    }

    var _this$props = this.props,
        _this$props$dataSourc = _this$props.dataSource,
        dataSource = _this$props$dataSourc === void 0 ? {} : _this$props$dataSourc,
        selected = _this$props.selected;
    return _react["default"].createElement("div", {
      className: className
    }, _react["default"].createElement("div", {
      className: "offer_img"
    }, _react["default"].createElement("img", {
      src: dataSource.mainImage,
      alt: ""
    })), _react["default"].createElement("div", {
      className: "offer_item_content"
    }, _react["default"].createElement("div", {
      className: "title"
    }, dataSource.name), _react["default"].createElement("div", {
      className: "offer_connent"
    }, _react["default"].createElement("div", {
      className: "market_price"
    }, _react["default"].createElement("label", null, "\u5E02\u573A\u4EF7\uFF1A"), _react["default"].createElement("span", null, (0, _common.regFenToYuan)(dataSource.marketPrice))), _react["default"].createElement("div", {
      className: "close_price"
    }, _react["default"].createElement("label", null, "\u7ED3\u7B97\u4EF7\uFF1A"), _react["default"].createElement("span", null, (0, _common.regFenToYuan)(dataSource.price)))), _react["default"].createElement("div", {
      className: "offer_connent"
    }, _react["default"].createElement("div", {
      className: "profit"
    }, _react["default"].createElement("label", null, "\u5229\u6DA6\u7387\uFF1A"), _react["default"].createElement("span", null, dataSource.profit, "%")), _react["default"].createElement("div", {
      className: "repertory"
    }, _react["default"].createElement("label", null, "\u5E93\u5B58\uFF1A"), _react["default"].createElement("span", null, dataSource.stock))), _react["default"].createElement("div", {
      className: "offer_bottom"
    }, _react["default"].createElement("div", {
      onClick: this.onAdd.bind(this, dataSource, selected),
      className: "select_btn " + (selected ? 'noselected' : 'selected')
    }, selected ? '已选' : '挑选'), _react["default"].createElement("span", {
      onClick: this.props.openOfferDetail,
      className: "offer_details"
    }, "\u8BE6\u60C5>"))));
  };

  return OfferItemColums;
}(_react.Component);

var _default = OfferItemColums;
exports["default"] = _default;