"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _common = require("../../utils/common");

require("./index.scss");

var OfferItemRow = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(OfferItemRow, _Component);

  function OfferItemRow(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this.state = {};
    return _this;
  }

  var _proto = OfferItemRow.prototype;

  _proto.onRemove = function onRemove(dataSource) {
    this.props.onRemove(dataSource);
  };

  _proto.render = function render() {
    var dataSource = this.props.dataSource;
    var className = "offer_item_row";

    if (this.props.className) {
      className = className + " " + this.props.className;
    } // console.log(dataSource.mainImage, '-----');


    return _react["default"].createElement("div", {
      className: className
    }, _react["default"].createElement("div", {
      className: "offer_img"
    }, _react["default"].createElement("img", {
      alt: "\u52A0\u8F7D\u4E2D...",
      src: dataSource.mainImage
    })), _react["default"].createElement("div", {
      className: "offer_item_row_content"
    }, _react["default"].createElement("div", {
      className: "title"
    }, dataSource.name), _react["default"].createElement("div", {
      className: "remove",
      onClick: this.onRemove.bind(this, dataSource)
    }), _react["default"].createElement("div", {
      className: "offer_connent"
    }, _react["default"].createElement("div", {
      className: "market_price"
    }, _react["default"].createElement("label", null, "\u5E02\u573A\u4EF7\uFF1A"), _react["default"].createElement("span", null, (0, _common.regFenToYuan)(dataSource.marketPrice))), _react["default"].createElement("div", {
      className: "close_price"
    }, _react["default"].createElement("label", null, "\u7ED3\u7B97\u4EF7\uFF1A"), _react["default"].createElement("span", null, (0, _common.regFenToYuan)(dataSource.price)))), _react["default"].createElement("div", {
      className: "offer_connent"
    }, _react["default"].createElement("div", {
      className: "profit"
    }, _react["default"].createElement("label", null, "\u5229\u6DA6\u7387\uFF1A"), _react["default"].createElement("span", null, dataSource.profit, "%")), _react["default"].createElement("div", {
      className: "repertory"
    }, _react["default"].createElement("label", null, "\u5E93\u5B58\uFF1A"), _react["default"].createElement("span", null, dataSource.stock)))));
  };

  return OfferItemRow;
}(_react.Component);

var _default = OfferItemRow;
exports["default"] = _default;